## qmath3d 0~1.0

=== debian/changelog ===
qmath3d (0~1.0-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Wookey <wookey@debian.org>  Fri, 22 Jan 2021 12:13:01 +0800

qmath3d (0~1.0-2) unstable; urgency=medium

  * Remove spurious libstdc++-6-dev build-dep (CLoses: #921172)

 -- Wookey <wookey@debian.org>  Wed, 06 Feb 2019 18:00:56 +0000

qmath3d (0~1.0-1) unstable; urgency=medium

  * Initial release (Closes: #915591)

 -- Wookey <wookey@debian.org>  Tue, 12 Dec 2017 01:30:36 +0000
