=== debian/control ===
Source: qmath3d
Section: libs
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 10), qbs, qtbase5-dev, dh-exec
Standards-Version: 4.1.1
Homepage: https://github.com/vpicaver/QMath3d

Package: libqmath3d1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Useful 3dmaths functions from Qt3d v1.0
 Qt3d v1.0 is long-dead, but part of it remains useful. This 
 library collects those math3d functions in standalone form.
 .
 This package is the library itself.

Package: libqmath3d-dev 
Architecture: any
Multi-Arch: same
Depends: libqmath3d1 (= ${binary:Version}), ${misc:Depends}
Description: Useful 3dmaths functions from Qt3d v1.0
 Qt3d v1.0 is long-dead, but part of it remains useful. This 
 library collects those math3d functions in standalone form.
 .
 This package contains the development files.
