=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/architecture.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_auto_configure:
	qbs-setup-toolchains --settings-dir /tmp --detect
	QT_SELECT=5 qbs-setup-qt  --settings-dir /tmp /usr/bin/qmake deb
	qbs config --settings-dir /tmp profiles.deb.cpp.debugInformation true
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	qbs config --settings-dir /tmp profiles.deb.cpp.optimization none
else
	qbs config --settings-dir /tmp profiles.deb.cpp.optimization fast
endif
	qbs config --settings-dir /tmp profiles.deb.cpp.commonCompilerFlags -Wdate-time
	qbs config --settings-dir /tmp profiles.deb.cpp.defines '"_FORTIFY_SOURCE=2"'
	qbs config --settings-dir /tmp profiles.deb.cpp.cFlags '[ "-fdebug-prefix-map=$(CURDIR)=.", "-fstack-protector-strong", "-Wformat", "-Werror=format-security" ]'
	qbs config --settings-dir /tmp profiles.deb.cpp.cxxFlags '[ "-fdebug-prefix-map=$(CURDIR)=.", "-fstack-protector-strong", "-Wformat", "-Werror=format-security" ]'
	qbs config --settings-dir /tmp profiles.deb.cpp.linkerFlags "-z,relro"

	# choose gcc as if clang is installed too you have to pick one
	qbs config profiles.default.baseProfile gcc

override_dh_auto_build:
	qbs build --settings-dir /tmp --command-echo-mode command-line --no-install \
           profile:deb \
           modules.qbs.installRoot:$(CURDIR)/debian/tmp \
           config:qbs-build
        # Generate pkgconfig file
	sed -e "s/@DEB_HOST_MULTIARCH@/${DEB_HOST_MULTIARCH}/" < debian/libQMath3d.pc.in > debian/libQMath3d.pc

override_dh_auto_install:
	qbs install --settings-dir /tmp --no-build \
           --install-root $(CURDIR)/debian/tmp \
           profile:deb \
           config:qbs-build
	dh_install

override_dh_clean:
	# tidy up qbs profile builddirs
	- rm -r qbs-build
	- rm debian/libQMath3d.pc
	dh_clean
