=== debian/watch ===
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%QMath3d-$1.tar.gz%" \
   https://github.com/vpicaver/QMath3d/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
